<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlAnalogFaultReportData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlAnalogFaultReportData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Analog fault strucure for event RL_RF_AE_ANALOG_FAULT_SB.  
 <a href="structrl_analog_fault_report_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a5ee2c68c834295d6584e4ea95185857b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ee2c68c834295d6584e4ea95185857b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_analog_fault_report_data__t.html#a5ee2c68c834295d6584e4ea95185857b">faultType</a></td></tr>
<tr class="memdesc:a5ee2c68c834295d6584e4ea95185857b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates the analog fault type Value Definition 0 No fault 1 Analog supply fault Others RESERVED. <br /></td></tr>
<tr class="separator:a5ee2c68c834295d6584e4ea95185857b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbefbf2dedb4966afdf5d984c71a0822"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbefbf2dedb4966afdf5d984c71a0822"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_analog_fault_report_data__t.html#abbefbf2dedb4966afdf5d984c71a0822">reserved0</a></td></tr>
<tr class="memdesc:abbefbf2dedb4966afdf5d984c71a0822"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:abbefbf2dedb4966afdf5d984c71a0822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62e4aa8deb719202d2a15c509fc976e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab62e4aa8deb719202d2a15c509fc976e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_analog_fault_report_data__t.html#ab62e4aa8deb719202d2a15c509fc976e">reserved1</a></td></tr>
<tr class="memdesc:ab62e4aa8deb719202d2a15c509fc976e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ab62e4aa8deb719202d2a15c509fc976e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05f022ca305c8778237c74ace5adae2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad05f022ca305c8778237c74ace5adae2"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_analog_fault_report_data__t.html#ad05f022ca305c8778237c74ace5adae2">faultSig</a></td></tr>
<tr class="memdesc:ad05f022ca305c8778237c74ace5adae2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates which analog supply is in fault Bit Definition 0 1.8V BB Analog supply fault 1 1.3V/1.0V RF supply fault 2 Synth VCO LDO short circuit detected 3 PA LDO short circuit detected 31:4 RESERVED. <br /></td></tr>
<tr class="separator:ad05f022ca305c8778237c74ace5adae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a085d573d495953c90066ca598109a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79a085d573d495953c90066ca598109a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_analog_fault_report_data__t.html#a79a085d573d495953c90066ca598109a">reserved2</a></td></tr>
<tr class="memdesc:a79a085d573d495953c90066ca598109a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a79a085d573d495953c90066ca598109a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Analog fault strucure for event RL_RF_AE_ANALOG_FAULT_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
